petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMSwarmSetLocalSizes

Sets the length of all registered fields on the DMSwarm

### Synopsis

    #include "petscdmswarm.h"
    PETSC_EXTERN PetscErrorCode DMSwarmSetLocalSizes(DM dm,PetscInt nlocal,PetscInt buffer)

Not collective

### Input parameters

| dm | - a DMSwarm
| nlocal | - the length of each registered field
| buffer | - the length of the buffer used to efficient dynamic re-sizing

### See Also

DMSwarmGetLocalSize()

### Level

beginner

### Location

src/dm/impls/swarm/swarm.c

### Examples

src/dm/examples/tutorials/ex20.c.html
src/dm/examples/tutorials/swarm_ex1.c.html
src/dm/examples/tutorials/swarm_ex2.c.html
src/dm/examples/tutorials/swarm_ex3.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages